## ros-one-controller-manager-tests 0.20.0-1jammy.20251023.0350

=== debian/changelog ===
ros-one-controller-manager-tests (0.20.0-1jammy.20251023.0350) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 03:50:51 +0000

ros-one-controller-manager-tests (0.20.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-controller-manager-tests (0.19.6-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-controller-manager-tests (0.19.5-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-controller-manager-tests (0.19.4-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.2-0jammy) jammy; urgency=high

  * Fixes part 2 of issue`#448 <https://github.com/ros-controls/ros_control/issues/448>`_ [Noetic] Rework and re-enable spawning and switching CLI tests (#462 <https://github.com/ros-controls/ros_control/issues/462>)
    * [tests] Split controller_manager_scripts.txt in two parts.
    The second part is now called controller_manager_interface_test.
    This fixes part 2 of issue #448 <https://github.com/ros-controls/ros_control/issues/448>
    * [test] Modification of the validation test.
    When commenting the first test (cm_msg_utils_test.py) the output
    is correct, while uncommented an inversion of the output happens.
    As this test is a pure python with no interaction with the
    controller_manager, it is very likely a race condition due either to
    Python or to the operating system. As the output is not fundamentally
    wrong, and as the tests are heavily relying on timing and subprocesses
    which are making the reproducibility difficult, this PR accepts both
    solution:
    [my_controller1, my_controller3] order
    or
    [my_controller3, my_controller1] order
  * Contributors: Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.1-0jammy) jammy; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.0-0jammy) jammy; urgency=high

  * Disable flaky CLI spawn test (#446 <https://github.com/ros-controls/ros_control/issues/446>)
  * Update travis config and rosinstall for noetic (#439 <https://github.com/ros-controls/ros_control/issues/439>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.18.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.17.0-0jammy) jammy; urgency=high

  * Use auto
  * Contributors: AbhinavSingh

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.16.0-0jammy) jammy; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in controller_manager_tests
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Re-install test plugin libraries
  * Update package dependencies
  * Re-install test plugins
  * Add missing roscpp & rospy dependencies
  * Correct test dependencies
  * Remove installs from _tests packages
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Update package.xml descriptions
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes


## ros-one-controller-manager-tests 0.20.0-1jammy.20260221.0028

=== debian/changelog ===
ros-one-controller-manager-tests (0.20.0-1jammy.20260221.0028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 00:28:35 +0000

## ros-one-controller-manager-tests 0.20.0-1noble.20251023.0347

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(controller_manager_tests)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  controller_interface
  controller_manager
  hardware_interface
  pluginlib
  roscpp
)

catkin_python_setup()

# Declare a catkin package
catkin_package()


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  # Specify header include paths
  include_directories(include ${catkin_INCLUDE_DIRS})

  add_library(${PROJECT_NAME}
    src/effort_test_controller.cpp
    src/extensible_controllers.cpp
    src/my_dummy_controller.cpp
    src/my_robot_hw.cpp
    src/pos_eff_controller.cpp
    src/pos_eff_opt_controller.cpp
    src/vel_eff_controller.cpp
  )
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

  add_executable(dummy_app src/dummy_app.cpp)
  add_dependencies(dummy_app ${catkin_EXPORTED_TARGETS})
  target_link_libraries(dummy_app ${PROJECT_NAME} ${catkin_LIBRARIES})

  add_executable(cm_test test/cm_test.cpp)
  add_dependencies(cm_test ${catkin_EXPORTED_TARGETS})
  target_link_libraries(cm_test ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

  catkin_add_nosetests(test)

  add_rostest(test/cm_test.test DEPENDENCIES dummy_app cm_test)

  add_rostest(test/cm_msgs_utils_rostest.test)

  add_rostest(test/controller_manager_scripts.test DEPENDENCIES dummy_app)

  add_rostest(test/controller_manager_interface_test.test DEPENDENCIES dummy_app)
endif()


#############
## Install ##
#############

# NOTE: Libraries and plugins required for tests are installed since CI
# runs tests out of the install space rather than the devel space

if(CATKIN_ENABLE_TESTING)

  # Install targets
  install(TARGETS ${PROJECT_NAME} 
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )

  install(TARGETS dummy_app cm_test 
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

  # Install plugins
  install(FILES test_controllers_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

  catkin_install_python(PROGRAMS test/controller_manager_scripts.py
	                         test/controller_manager_interface_test.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endif()

=== debian/changelog ===
ros-one-controller-manager-tests (0.20.0-1noble.20251023.0347) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 03:47:39 +0000

ros-one-controller-manager-tests (0.20.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-controller-manager-tests (0.19.6-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-controller-manager-tests (0.19.5-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-controller-manager-tests (0.19.4-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.2-0noble) noble; urgency=high

  * Fixes part 2 of issue`#448 <https://github.com/ros-controls/ros_control/issues/448>`_ [Noetic] Rework and re-enable spawning and switching CLI tests (#462 <https://github.com/ros-controls/ros_control/issues/462>)
    * [tests] Split controller_manager_scripts.txt in two parts.
    The second part is now called controller_manager_interface_test.
    This fixes part 2 of issue #448 <https://github.com/ros-controls/ros_control/issues/448>
    * [test] Modification of the validation test.
    When commenting the first test (cm_msg_utils_test.py) the output
    is correct, while uncommented an inversion of the output happens.
    As this test is a pure python with no interaction with the
    controller_manager, it is very likely a race condition due either to
    Python or to the operating system. As the output is not fundamentally
    wrong, and as the tests are heavily relying on timing and subprocesses
    which are making the reproducibility difficult, this PR accepts both
    solution:
    [my_controller1, my_controller3] order
    or
    [my_controller3, my_controller1] order
  * Contributors: Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.1-0noble) noble; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.19.0-0noble) noble; urgency=high

  * Disable flaky CLI spawn test (#446 <https://github.com/ros-controls/ros_control/issues/446>)
  * Update travis config and rosinstall for noetic (#439 <https://github.com/ros-controls/ros_control/issues/439>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.18.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.17.0-0noble) noble; urgency=high

  * Use auto
  * Contributors: AbhinavSingh

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-controller-manager-tests (0.16.0-0noble) noble; urgency=high

  * Merge pull request #413 <https://github.com/ros-controls/ros_control/issues/413> from matthew-reynolds/range-for
    Use range-based for loop
  * Merge pull request #404 <https://github.com/ros-controls/ros_control/issues/404> from matthew-reynolds/catkin-lint
    Update CMakeLists.txt and package.xml
  * Use range-based for loops in controller_manager_tests
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Re-install test plugin libraries
  * Update package dependencies
  * Re-install test plugins
  * Add missing roscpp & rospy dependencies
  * Correct test dependencies
  * Remove installs from _tests packages
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Replace header guard with #pragma once
  * Update package.xml descriptions
  * Remove unused Boost dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Merge pull request #398 <https://github.com/ros-controls/ros_control/issues/398> from matthew-reynolds/revert-cmake
    Revert CMake include_directories as SYSTEM
  * Revert CMake include_directories as SYSTEM
  * Merge pull request #396 <https://github.com/ros-controls/ros_control/issues/396> from pal-robotics-forks/small-fixes


=== debian/control ===
Source: ros-one-controller-manager-tests
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-controller-interface, ros-one-controller-manager, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp
Homepage: http://ros.org/wiki/controller_manager_tests
Standards-Version: 3.9.2

Package: ros-one-controller-manager-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-interface, ros-one-controller-manager, ros-one-controller-manager-msgs, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-rospy
Description: Tests for the controller manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-controller-manager-tests//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-controller-manager-tests 0.20.0-1noble.20260221.0057

=== debian/changelog ===
ros-one-controller-manager-tests (0.20.0-1noble.20260221.0057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 00:57:48 +0000
